<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<hdlworker language="vhdl" spec="polyphase_decimator_xs-spec" version="2"
  sourcefiles="complex_short_flush_injector.vhd complex_short_down_sampled_protocol_delay.vhd">
  <property name="max_decimation" type="uchar" parameter="true" default="8"
    description="maximum decimation factor supported by HDL core"/>
  <property name="max_taps_per_branch" type="ushort" parameter="true" default="8"
    description="maximum number of taps supported by HDL core (RAM length)"/>
  <property name="num_multipliers" type="uchar" parameter="true" default="1"
    description="number of multipliers supported by HDL core"/>
  <property name="dummy" type="uchar" volatile="true" description="dummy prop, needed to allow raw access"/>
  <specproperty name="rounding_type" parameter="true"/>
  <specproperty name="tap_array_length" value="max_decimation*max_taps_per_branch"/>
  <specproperty name="taps" raw="true"/>
  <streaminterface name="input" datawidth="32"/>
  <streaminterface name="output" datawidth="32" workereof="true"/>
</hdlworker>
